Bug 983137 - LICENSE file installed but not packaged
LICENSE file installed but not packaged
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros (Show other bugs)
19
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-07-10 11:28 EDT by Dan Horák
Modified: 2013-07-22 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-rpm-macros-0.15.14-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:32:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-07-10 11:28:01 EDT
I have 2 packages now that fail to build on s390(x) because the LICENSE file is installed but not packaged

...
Obsoletes: ghc-snap-core-doc < 0.9.3.1-1.fc19 ghc-snap-core-prof < 0.9.3.1-1.fc19
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/ghc-snap-core-0.9.3.1-1.fc19.s390x
RPM build errors:
error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/ghc-snap-core-0.9.3.1/LICENSE
    Installed (but unpackaged) file(s) found:
   /usr/share/doc/ghc-snap-core-0.9.3.1/LICENSE
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
...

Version-Release number of selected component (if applicable):
ghc-libmpd-0.8.0.2-1.fc19
ghc-snap-core-0.9.3.1-1.fc19
ghc-rpm-macros-0.98.2-1.fc19

More details at
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1094620
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1094599
Comment 1 Jens Petersen 2013-07-10 21:49:29 EDT
Thanks Dan for the report!

Sorry, should be fixed in ghc-rpm-macros-0.98.3-1.fc19.
Comment 2 Fedora Update System 2013-07-11 04:39:12 EDT
ghc-rpm-macros-0.15.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.14-1.fc17
Comment 3 Fedora Update System 2013-07-11 04:39:22 EDT
ghc-rpm-macros-0.95.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.95.13-1.fc18
Comment 4 Fedora Update System 2013-07-11 04:39:32 EDT
ghc-rpm-macros-0.98.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.98.3-1.fc19
Comment 5 Fedora Update System 2013-07-11 22:59:04 EDT
Package ghc-rpm-macros-0.15.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-rpm-macros-0.15.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12768/ghc-rpm-macros-0.15.14-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-21 20:32:52 EDT
ghc-rpm-macros-0.95.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-21 20:36:29 EDT
ghc-rpm-macros-0.98.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-22 21:12:41 EDT
ghc-rpm-macros-0.15.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.